Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/13226/?format=api
{ "ob_id": 13226, "uuid": "211ebf23e1914728b719752549547abb", "title": "ISLSCP II: Snow, Sea Ice and Oceans Parameters at 1 degree spatial resolution (1986-1995)", "abstract": "The International Satellite Land Surface Climatology Project, Initiative II (ISLSCP II) is a follow on project from The International Satellite Land Surface Climatology Project (ISLSCP). ISLSCP II had the lead role in addressing land-atmosphere interactions - process modelling, data retrieval algorithms, field experiment design and execution, and the development of global data sets. The ISLSCP II dataset contains comprehensive data over the 10 year period from 1986 to 1995, from the International Satellite Land Surface Climatology Project (ISLSCP). \r\n\r\nThis dataset contains:\r\n*Sea Ice extent\r\n*Sea surface temperature\r\n*Snow cover\r\n\r\nThe data are mapped to consistent grids (0.5 x 0.5 degrees for topography, 1 x 1 degrees for meteorological parameters). Some data have a grid size of 0.25 x 0.25 degrees. The temporal resolution for most data sets is monthly (however a few are at finer resolution - 3 hourly). This dataset is public.\r\n", "keywords": "ISLSCP, NASA, Snow, Sea Ice and Oceans", "publicationState": "published", "dataPublishedTime": "2003-12-10T00:00:00", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/13227/?format=api", "dataPath": "/badc/islscp2/data/snow_sea-ice_oceans", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 97033158, "numberOfFiles": 28, "fileFormat": "Data are ASCII formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3596/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/529/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25874/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25900/?format=api" ], "dataLineage": "Data obtained over a 10 year period from 1986 to 1995, collated by the International Satellite Land Surface Climatology Project (ISLSCP) II. A copy of these data was obtained by the BADC to assist the UK research community.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/8443/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/450/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50676/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50674/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50677/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50678/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50679/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50680/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54176/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50675/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54177/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/13236/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }